﻿/****** Object:  Table [dbo].[tblRemoteEvents]    Script Date: 09/21/2009 09:52:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[tblRemoteEvents](
	[pkId] [int] IDENTITY(1,1) NOT NULL,
	[RaiserId] [uniqueidentifier] NOT NULL,
	[SiteId] [nvarchar](256) NOT NULL,
	[SequenceNumber] [int] NOT NULL,
	[VerificationData] [varbinary](256) NOT NULL,
	[EventId] [uniqueidentifier] NOT NULL,
	[ParamData] [varbinary](max) NULL,
	[ParamType] [nvarchar](256) NULL,
	[CreatedDateUtc] [datetime] NOT NULL,
 CONSTRAINT [PK_tblRemoteEvents] PRIMARY KEY CLUSTERED 
(
	[pkId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[tblRemoteEvents] ADD  CONSTRAINT [DF_tblRemoteEvents_CreatedDateUtc]  DEFAULT (getutcdate()) FOR [CreatedDateUtc]
GO